package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF5C1 extends MwfRequest<MWF5C1, MWF5C1Response> {

    @Parameter(name = "AccountNumber")
    MWF5C1 accountNumber(String accountNumber);
    @Parameter(name = "ActivatingPassword")
    MWF5C1 activatingPassword(String activatingPassword);
    @Parameter(name = "AppKey")
    MWF5C1 appKey(String appKey);
    @Parameter(name = "BranchId")
    MWF5C1 branchId(String branchId);
    @Parameter(name = "CardHolderBusinessName")
    MWF5C1 cardHolderBusinessName(String cardHolderBusinessName);
    @Parameter(name = "CardHolderName")
    MWF5C1 cardHolderName(String cardHolderName);
    @Parameter(name = "ChannelId")
    MWF5C1 channelId(String channelId);
    @Parameter(name = "ClientType")
    MWF5C1 clientType(String clientType);
    @Parameter(name = "FirstPaymentDay")
    MWF5C1 firstPaymentDay(java.util.Date firstPaymentDay);
    @Parameter(name = "InstallmentPaymentsType")
    MWF5C1 installmentPaymentsType(String installmentPaymentsType);
    @Parameter(name = "InsuranceType")
    MWF5C1 insuranceType(String insuranceType);
    @Parameter(name = "LoanAmount")
    MWF5C1 loanAmount(Double loanAmount);
    @Parameter(name = "RegularInstalmentDay")
    MWF5C1 regularInstalmentDay(String regularInstalmentDay);
    @Parameter(name = "Sso")
    MWF5C1 sso(String sso);
    @Parameter(name = "Term")
    MWF5C1 term(Long term);
    @Parameter(name = "VPSFlag")
    MWF5C1 vPSFlag(String vPSFlag);
}
